<ng-container *ngIf="errorStateMatcher">
  <mat-form-field class="input-text" appearance="outline" floatLabel="never">
    <input [type]="type" matInput #inputText [placeholder]="placeholder" maxlength="{{maxLength}}" [(ngModel)]="value"
           [matAutocomplete]="auto"
           [disabled]="disabled"
           [errorStateMatcher]="errorStateMatcher" (blur)="onTouched($event)"/>
    <mat-error *ngIf="showError">{{errorTxt}}</mat-error>
    <span matPrefix *ngIf="prefix">{{ prefix }}</span>
    <span matSuffix *ngIf="suffix">{{ suffix }}</span>
    <mat-hint *ngIf="hintStart" align="start">{{hintStart}}</mat-hint>
    <mat-hint *ngIf="maxLength" align="end">{{inputText.value.length}} / {{maxLength}}</mat-hint>
  </mat-form-field>
  <mat-autocomplete #auto="matAutocomplete">
    <mat-option *ngFor="let option of filteredOptions; trackBy: trackByFn" [value]="option">
      {{ option }}
    </mat-option>
  </mat-autocomplete>
</ng-container>
